/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.common.db.PaginationService;
import net.northking.cctp.dw.db.dao.MidUserBugGradeDao;
import net.northking.cctp.dw.db.entity.MidProjectInfo;
import net.northking.cctp.dw.db.service.MidUserBugGradeService;
import net.northking.cctp.dw.db.entity.MidUserBugGrade;

import net.northking.cctp.common.db.BasicDao;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 用户缺陷等级数量中间表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-17 14:49:08  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "MidUserBugGradeServiceImpl")
public class MidUserBugGradeServiceImpl extends PaginationService<MidUserBugGrade> implements MidUserBugGradeService
{
private static final Logger logger = LoggerFactory.getLogger(MidUserBugGradeServiceImpl.class);

  private final MidUserBugGradeDao midUserBugGradeDao;

  public MidUserBugGradeServiceImpl(MidUserBugGradeDao midUserBugGradeDao) {this.midUserBugGradeDao = midUserBugGradeDao;}

  public BasicDao<MidUserBugGrade> getDao() {return midUserBugGradeDao;}

  public MidUserBugGrade createEntity() { return new MidUserBugGrade();}

  @Override
  protected void beforeInsert(MidUserBugGrade midUserBugGrade) {

  }

  @Override
  protected void beforeUpdate(MidUserBugGrade midUserBugGrade) {

  }

  @Override
  public void addBatch(List<MidProjectInfo> dataList, String tenantId) {
    midUserBugGradeDao.addBatch(dataList,tenantId);
  }

  @Override
  public void deleteByData(List<MidProjectInfo> dataList, String tenantId) {
    midUserBugGradeDao.deleteByData(dataList,tenantId);
  }


// ----      The End by Generator     ----//




}

